﻿.map-page .intro { margin-bottom: 20px;}
.map-page #legend { z-index: 49; position: absolute; width: 310px; -webkit-box-shadow: 4px 4px 7px rgba(50, 50, 50, 0.7); -moz-box-shadow: 4px 4px 7px rgba(50, 50, 50, 0.7); box-shadow: 4px 4px 7px rgba(50, 50, 50, 0.7); }
.map-page #legend .legend-header { font-size: 14px; color: white; background-color: #525252; cursor: pointer; padding: 5px 38px; background: url('/sites/www/images/icon-arrow-right.png') no-repeat 20px 11px #525252; }
.map-page #legend .legend-header.expanded { background: url('/sites/www/images/icon-arrow-down.png') no-repeat 18px 13px #525252; }
.map-page #legend .legend-body { padding: 15px; background-color: #fff; }
.map-page #legend .legend-body ul { margin: 0; }
.map-page #legend .legend-body ul li a { text-decoration: none; border: none; padding-top: 6px; color: #333; font-size: 12px }
.map-page #legend .legend-body ul li:first-child a { padding-top: 0; }
.map-page #legend .legend-body ul li a.filter,
.map-page #legend .legend-body ul li a.select-all { padding-left: 20px; float: left; }
.map-page #legend .legend-body ul li a.filter.on,
.map-page #legend .legend-body ul li a.select-all.on { background: url('/sites/www/images/icon-check-on.png') no-repeat 0 7px; }
.map-page #legend .legend-body ul li a.filter.off,
.map-page #legend .legend-body ul li a.select-all.off { background: url('/sites/www/images/icon-check-off.png') no-repeat 0 7px; }

.map-page #legend .legend-body ul li a.select-all-labels.on { background: url('/sites/www/images/icon-check-on.png') no-repeat 0 1px; }
.map-page #legend .legend-body ul li a.select-all-labels.off { background: url('/sites/www/images/icon-check-off.png') no-repeat 0 1px; }
.map-page #legend .legend-body ul li a.select-all-labels, 
.map-page #legend .legend-body ul li .select-all-labels-nocheck { padding-left: 20px; float: right; }
.map-page #legend .legend-body ul li .select-all-labels-nocheck { color: #333; font-size: 12px }


.map-page #legend .legend-body ul li:first-child a.select-all { padding-left: 23px; }
.map-page #legend .legend-body ul li:first-child a.select-all.on { background: url('/sites/www/images/icon-check-on.png') no-repeat 0 0; }
.map-page #legend .legend-body ul li:first-child a.select-all.off { background: url('/sites/www/images/icon-check-off.png') no-repeat 0 0; }
.map-page #legend .legend-body ul li a.filter img { vertical-align: text-top; }
.map-page #legend .legend-body ul li .legend-label { float: right; padding-left: 5px; padding-right: 5px; font-size: 10px; text-align: center; width: 33px; }
.map-page #legend .legend-body ul li:first-child .legend-label { padding: 0; }
.map-page #legend .legend-body ul li a.legend-label.label-on { color: #006699; }
.map-page #legend .legend-body ul li a.legend-label.label-off { color: #999; }
.map-page #map { position: relative; width: 720px; height:770px; overflow: hidden; }
.map-page .map-base { position: absolute; top: 0px; left: 0px; }
.map-page .map-layer { position: absolute; top: 0px; left: 0px; }

/******** Styles for the Asset Pins ***********/
.map-page .asset .pin { display: none; position: absolute; border: 1px solid white; background: url("/sites/www/images/icon-label-plus.png") no-repeat scroll 10px 10px #525252; z-index: 49; cursor: pointer; }
.map-page .asset .pin .title { background: white; margin: 0 0 0 25px; padding: 4px 6px 4px 5px; }
.map-page .asset .pin .left-notch { position: absolute; top: 27%; left: -6px; margin: 0 0 0 0; border-top: 6px solid transparent; border-left: 0px solid transparent; /* set the margin */ border-right: 6px solid white; border-bottom: 6px solid transparent; padding: 0; width: 0; height: 0; z-index: 1; }
.map-page .asset .pin .right-notch { position: absolute; top: 27%; left: 100%; margin: 0 0 0 0; border-top: 6px solid transparent; border-right: 0px solid transparent; /* set the margin */ border-left: 6px solid white; border-bottom: 6px solid transparent; padding: 0; width: 0; height: 0; z-index: 1; }
.map-page .asset .pin[data-direction] .notch { display: none; }
.map-page .asset .pin[data-direction="Right"] .notch.right-notch,
.map-page .asset .pin[data-direction="Left"] .notch.left-notch { display: block; }

/******** Styles for the Asset Pop-ups ***********/
.map-page .asset .pop-up { display: none; }
#pop-up-modal .pop-up-content { text-align: left; }
#pop-up-modal .ie7 .pop-up-content ul { margin-left: 0; padding-left: 0; }
#pop-up-modal .ie7 .pop-up-content ul li { margin-left: 0; padding-left: 0; }
#pop-up-modal .pop-up-content .description { max-width: 300px; }
.ie7 #pop-up-modal .pop-up-content .description * { margin-left: 0 !important; padding-left: 0 !important; }
#pop-up-modal .pop-up-content .description p.title { color: #ffb718; font-size: 1.25em; }
#pop-up-modal .pop-up-content .description ul { margin-bottom: 0; }
#pop-up-modal .pop-up-content .description li { margin-bottom: 2px; }
#pop-up-modal .pop-up-content .modal-header { margin: 0; }
#pop-up-modal .pop-up-content .modal-header .close { background: url("/common/images/btn-close.gif") no-repeat scroll right top transparent; display: block; float: right; width: 18px; height: 15px; text-decoration: none; border: none; margin-top: 0; }
.ie7 #pop-up-modal .pop-up-content .modal-header { display: none; }
                    